package stonelog

// stoneTracePrefixes contains prefixes for trace-level scientific messages.
// stoneDebugPrefixes contains prefixes for debug-level diagnostics and processes.
// stoneInfoPrefixes contains prefixes for informational scientific outcomes.
// stoneWarnPrefixes contains prefixes for warning-level messages of potential risks.
// stoneErrorPrefixes contains prefixes for error-level critical issues detected.
// stoneFatalPrefixes contains prefixes for fatal-level critical failures.
// stonePanicPrefixes contains prefixes for panic-level catastrophic failures.
var (
	stoneTracePrefixes = []string{
		"Science traces:",
		"Lab sensors detect:",
		"Microscope focus on:",
		"Quantum scanner active:",
		"Data particles observed:",
	}

	stoneDebugPrefixes = []string{
		"Hypothesis forming:",
		"Analyzing data patterns:",
		"Debugging quantum fluctuations:",
		"Lab notes:",
		"Testing variables:",
	}

	stoneInfoPrefixes = []string{
		"Experiment successful:",
		"Lab results:",
		"Scientific consensus:",
		"Discovery logged:",
		"Theory proven:",
	}

	stoneWarnPrefixes = []string{
		"Anomaly detected:",
		"Risk probability increased:",
		"System instability suspected:",
		"Contamination warning:",
		"Resource depletion imminent:",
	}

	stoneErrorPrefixes = []string{
		"Critical malfunction:",
		"Lab accident reported:",
		"Data corruption confirmed:",
		"System collapse:",
		"Hypothesis disproven:",
	}

	stoneFatalPrefixes = []string{
		"SCIENTIFIC APOCALYPSE:",
		"FINAL EXPERIMENT FAILED:",
		"LABORATORY SHUTDOWN:",
		"CORE CRITICAL:",
		"RADIOACTIVE TERMINATION:",
	}

	stonePanicPrefixes = []string{
		"CHAIN REACTION DETECTED:",
		"SYSTEMIC COLLAPSE:",
		"QUANTUM CATASTROPHE:",
		"GALACTIC-LEVEL BUG DETECTED:",
		"T-REX IN THE DATACENTER:",
	}
)
